classification
Title: Mock Call attributes args and kwargs have no changeversion
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder: Document addition of `mock.call_args.args` and `mock.call_args.kwargs` in 3.8
View: 41325
Assigned To: docs@python Nosy List: Andrius Gobis, docs@python, python-dev, xtreak
Priority: normal Keywords: patch

Created on 2020-05-29 18:04 by Andrius Gobis, last changed 2020-07-18 13:08 by xtreak. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20519 closed python-dev, 2020-05-29 18:16
Messages (2)
msg370330 - (view) Author: Andrius Gobis (Andrius Gobis) Date: 2020-05-29 18:04
In Python 3.8, the ``args`` and ``kwargs`` properties were added to Mock ``Call`` objects (PR: https://github.com/python/cpython/pull/11807 Issue: https://bugs.python.org/issue21269).

However, the change did not add a change version to the documentation.

The ``Doc/library/unittest.mock.rst`` file should include the following in the ``Call`` section:
```
The ``Doc/library/unittest.mock.rst`` file should include the following in the ``Call`` section:
```
   .. versionchanged:: 3.8

      Added the ``args`` and ``kwargs`` properties to more easily access the positional args and keyword args within a ``Call``        object tuple.
```
msg373900 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2020-07-18 13:08
Thanks for the report. Closing this in favor of https://bugs.python.org/issue41325
History
Date User Action Args
2020-07-18 13:08:34xtreaksetstatus: open -> closed
superseder: Document addition of `mock.call_args.args` and `mock.call_args.kwargs` in 3.8
messages: + msg373900

resolution: fixed
stage: patch review -> resolved
2020-07-08 10:19:52xtreaksetstatus: pending -> open
nosy: + xtreak
2020-05-29 19:48:15Andrius Gobissetstatus: open -> pending
2020-05-29 18:16:00python-devsetkeywords: + patch
nosy: + python-dev

pull_requests: + pull_request19763
stage: patch review
2020-05-29 18:04:01Andrius Gobiscreate